<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Dosen </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Form</h3>
                    </div>
                    <div class="card-body">
                        <form method="post" th:object="${karyawan}" th:action="@{/humanResources/lecturer/form}">
                            <!--<form method="post" th:object="${karyawan}" th:if="${id == null}" th:action="@{/dosen/form}">-->

                            <div class="col-md-12"><br>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>NIK</label>
                                            <input type="text" class="form-control" name="nik" th:field="*{nik}"  placeholder="Nomor Induk Pegawai">
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>NIDN</label>
                                            <input type="text" class="form-control" th:field="*{nidn}"  name="nidn" placeholder="Nomor Induk Dosen Nasional">
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Full Name</label>
                                            &nbsp&nbsp
                                            <small class="text-danger">* Fill in the name</small>
                                            <input type="text" class="form-control" required name="nama" th:field="*{nama}" placeholder="Name">
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Title</label>
                                            &nbsp&nbsp
                                            <input type="text" class="form-control" th:field="*{gelar}" name="gelar" placeholder="Title">
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Date Of Birth</label>
                                            <input type="date" class="form-control" required th:field="*{tanggalLahir}" name="tanggalLahir">
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Gender</label>
                                            <select name="jenisKelamin" required th:field="*{jenisKelamin}" class="form-control">
                                                <option value=""></option>
                                                <option value="PRIA">Male</option>
                                                <option value="WANITA">Female</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Email</label>
                                            <input type="email" required class="form-control" th:field="*{email}" name="email">
                                        </div>
                                    </div>

                                    <div class="col-md-6" th:if="${karyawan.id != null}" th:object="${dosen}" >
                                        <div class="form-group">
                                            <label>Prodi</label>
                                            <select class="form-control js-example-placeholder-single" id="select2-dosen"
                                                    style="width: 100%!important;" th:field="*{prodi}" name="prodi">
                                                <option value=""></option>
                                                <option th:each="data : ${prodi}"
                                                        th:text="${data.namaProdi}"
                                                        th:value="${data.id}"></option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-md-6" th:if="${karyawan.id == null}">
                                        <div class="form-group">
                                            <label>Prodi</label>
                                            <select required class="form-control js-example-placeholder-single" id="select2-dosen"
                                                    style="width: 100%!important;" name="prodi">
                                                <option value=""></option>
                                                <option th:each="data : ${prodi}"
                                                        th:text="${data.namaProdi}"
                                                        th:value="${data.id}"></option>
                                            </select>
                                        </div>
                                    </div>


                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>RFID</label>
                                            &nbsp&nbsp
                                            <input type="text" class="form-control" name="rfid" th:field="*{rfid}" placeholder="RFID">
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Jabatan Dosen</label>
                                            &nbsp&nbsp
                                            <select name="jabatanDosen" required class="form-control" th:field="*{jabatanDosen}">
                                                <option th:each="jabatan : ${listJabatan}"
                                                        th:text="${jabatan.nama}"
                                                        th:value="${jabatan.id}"></option>
                                                <!--                                                <option value="warek2"></option>-->
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Honor Dosen</label>
                                            &nbsp&nbsp
                                            <input type="text" class="form-control" name="honor" th:field="*{honor}" placeholder="Honor Dosen">
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Status Dosen</label>
                                            &nbsp&nbsp
                                            <select name="statusDosen" class="form-control" th:field="*{statusDosen}" id="">
                                                <option value="LB">LB</option>
                                                <option value="HB">HB</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>


                                <input type="hidden" name="id" th:field="*{id}">
                                <input type="hidden" name="idUser" th:field="*{idUser}">

                            </div>

                            <h6 class="border-bottom border-gray pb-2 mb-0"></h6>
                            <br><br>
                            <center>
                                <input class="btn btn-primary" type="submit" value="Save">
                                <a th:href="@{/humanResources/lecturer/form}" class="btn btn-primary" role="button">
                                    <span aria-hidden="true"></span>Cancel
                                </a>
                            </center>
                        </form>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>
</body>
</html>